org.apache.ignite.internal.visor.igfs

## Class VisorIgfsEndpoint

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.igfs.VisorIgfsEndpoint

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorIgfsEndpoint
    extends VisorDataTransferObject

IGFS endpoint descriptor.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsEndpoint()` Default constructor.
`VisorIgfsEndpoint(String igfsName, String gridName, String hostName, int port)` Create IGFS endpoint descriptor with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthority()`
`String` `getGridName()`
`String` `getHostName()`
`String` `getIgfsName()`
`int` `getPort()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsEndpoint

    public VisorIgfsEndpoint()

Default constructor.

#### VisorIgfsEndpoint

    public VisorIgfsEndpoint(@Nullable
                             String igfsName,
                             String gridName,
                             @Nullable
                             String hostName,
                             int port)

Create IGFS endpoint descriptor with given parameters.

Parameters:
  `igfsName` - IGFS name.
  `gridName` - Grid name.
  `hostName` - Host address / name.
  `port` - Port number.

### Method Detail

#### getIgfsName

    @Nullable
    public String getIgfsName()

Returns:
  IGFS name.

#### getGridName

    public String getGridName()

Returns:
  Grid name.

#### getHostName

    @Nullable
    public String getHostName()

Returns:
  Host address / name.

#### getPort

    public int getPort()

Returns:
  Port number.

#### getAuthority

    public String getAuthority()

Returns:
  URI Authority

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019